GeonetowrkAccessParameter (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis

## Class GeonetowrkAccessParameter

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.GeonetowrkAccessParameter

- All Implemented Interfaces:
    GeonetworkServiceInterface

      public class GeonetowrkAccessParameter
      extends Object
      implements GeonetworkServiceInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GeonetworkInstance` | `geonetworkInstance`
    `protected static org.slf4j.Logger` | `logger`
    `protected String` | `scope`
    `protected ServerParameters` | `serverParam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeonetowrkAccessParameter(String scope, ServerParameters serverParam)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeonetworkInstance` | `getGeonetworkInstance(boolean authenticate)`
    `String` | `getScope()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.slf4j.Logger logger

    - #### geonetworkInstance

          protected GeonetworkInstance geonetworkInstance

    - #### scope

          protected String scope

    - #### serverParam

          protected ServerParameters serverParam

  - ### Constructor Detail

    - #### GeonetowrkAccessParameter

          public GeonetowrkAccessParameter(String scope,
                                   ServerParameters serverParam)

      Parameters:
        `serverParam` -

  - ### Method Detail

    - #### getGeonetworkInstance

          public GeonetworkInstance getGeonetworkInstance(boolean authenticate)
                                                   throws GeonetworkInstanceException

      Specified by:
        `getGeonetworkInstance` in interface `GeonetworkServiceInterface`
      Parameters:
        `geonetworkInstance` -
      Returns:
      Throws:
        `GeonetworkInstanceException`

    - #### getScope

          public String getScope()

      Specified by:
        `getScope` in interface `GeonetworkServiceInterface`

Copyright © 2016. All Rights Reserved.